1. Summary
  2. Files
  3. Support
  4. Report Spam
  5. Create account
  6. Log in
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000024 [Community Website] Erroneous/deficient functions major always 2010-09-27 23:03 2010-09-30 18:27
Reporter djbungee View Status public  
Assigned To hmarschall
Priority normal Resolution fixed  
Status resolved  
Summary 0000024: directory structure gets mixed up, c.f. picture of 3 consecutive views
Description Hallo Holger,
after creating directories and sub-directories in the Detached-Eddy Simulation project, the directory hierarchy gets totally mixed up!? What is about files? The hierarchy and folder structure should be "stable".
Best regards, Ulf.
Additional Information
Tags No tags attached.
Attached Files jpg file icon root-view-MIXED-UP.jpg [^] (53,061 bytes) 2010-09-27 23:03

- Relationships

-  Notes
(0000059)
hmarschall (manager)
2010-09-28 06:45

Hi Ulf,

thanks for reporting! However, I do not get the point... Looking at the screenshot I see that you have created 2 folders in src - namely turbulenceModels and finiteVolume - and a nested directory named incompressible *within* turbulenceModels. What do you exactly mean by mixed up directory hierarchy?

About files: There is a button for uploading files: "New File" in vicinity to "New Folder" ...

best regards, Holger
(0000061)
djbungee (reporter)
2010-09-28 07:09

Hallo Holger,
naja, es sollte eine directory-Struktur in der Form
root / src / - turbulenceModels / incompressible / LES / ...
             |
             - finiteVolume / .....
             |
             - .......... / ......

entstehen. Genau so habe ich es eingerichtet und aufgebaut, um die Hierarchie wie im OF-source-code zu haben. Aber wie Du an dem Bild siehst, wenn mann dann in dem neu angelegten Baum 'reingeht', verschiebt sich plötzlich src als unter turbulenceModels liegend. Das passt nicht mehr.

Wie erfolgt die Zuordnung der virtuellen Ordner? Warum geht die angelegte Hierarchie verloren?

Gruß, Ulf.
(0000062)
hmarschall (manager)
2010-09-28 07:27

Hi Ulf,

confirmed: the lower list holding the directory structure indicates that "src" is found in folder "turbulenceModels"... So the second level of directory structure is displayed in a wrong order.

I will hunt for this asap. Thanks for pointing me... Btw, I will add a different layout and update the component as well + sort out the aforementioned bug in the same course...

best regards,
Holger
(0000063)
hmarschall (manager)
2010-09-30 18:23

Hi,

this is resolved... I have re-designed the entire project management, in the course of which a new file manager was installed. Please have a look!

best regards, Holger

- Issue History
Date Modified Username Field Change
2010-09-27 23:03 djbungee New Issue
2010-09-27 23:03 djbungee Status new => assigned
2010-09-27 23:03 djbungee Assigned To => hmarschall
2010-09-27 23:03 djbungee File Added: root-view-MIXED-UP.jpg
2010-09-28 06:45 hmarschall Note Added: 0000059
2010-09-28 07:09 djbungee Note Added: 0000061
2010-09-28 07:27 hmarschall Note Added: 0000062
2010-09-30 18:23 hmarschall Note Added: 0000063
2010-09-30 18:26 hmarschall Resolution open => fixed
2010-09-30 18:27 hmarschall Status assigned => resolved


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker